if(forceRequiredAddOn("Gamemode_Slayer") == $Error::AddOn_NotFound)
{
	error("ERROR: Event_onTeamWin - required add-on Gamemode_Slayer not found!");

	return;
}

for($i = 1; $i <= $Pref::Slayer::Server::Teams::maxEvents; $i++)
{
	registerMultiSourceInputEvent(FxDtsBrick, "onTeamWin(Team" @ $i @ ")", "Self FxDtsBrick\tTeam Slayer_TeamSO\tMiniGame MiniGame");
}

deleteVariables("$i");

package Event_onTeamWin
{
	function Slayer_MiniGameSO::endRound(%this, %winner, %resetTime)
	{
		if(%this.isResetting())
			return;

		if(getField(%winner, 0) $= "CUSTOM")
			return;

		%count = 0;

		for(%i = 0; %i < getFieldCount(%winner); %i++)
		{
			%w = getField(%winner, %i);

			if(!isObject(%w))
				continue;

			if(getMinigameFromObject(%w) != %this)
				continue;

			if(%w.class $= "Slayer_TeamSO")
			{
				$InputTarget_["Team"] = %w;
				$InputTarget_["MiniGame"] = %this;

				%teamNum = %w.getGroup().indexOf(%w.getID()) + 1;

				processMultiSourceInputEvent("onTeamWin(Team" @ %teamNum @ ")", "", %this);
			}
		}

		parent::endRound(%this, %winner, %resetTime);
	}
};
activatePackage(Event_onTeamWin);